public class Tools
{
	static int getIntFromKeyboard()
	{
		int ganzeZahl=0;
		boolean ganzeZahlLiegtVor=false;
		java.io.BufferedReader in=new java.io.BufferedReader(
			new java.io.InputStreamReader(System.in));
		while(ganzeZahlLiegtVor==false)
		{
			System.out.println("Bitte geben Sie eine ganze Zahl ein");
			try
			{
				ganzeZahl=Integer.parseInt(in.readLine());
				ganzeZahlLiegtVor=true;
			}
			catch(NumberFormatException nfe)
			{
				System.out.println("Sie haben keine Zahl eingegeben!");
				ganzeZahlLiegtVor=false;
			}
			catch(java.io.IOException ioe)
			{
				System.out.println("Probleme bei der Eingabe!");
			}
		}
		return ganzeZahl;
	}
}